forga Ansible base playbook
===========================


💡 Idea
-------

Get info and set basic config for _Debian_ and _Ubuntu_ distrib.

Suitable for server and workstation.


✨ Features
-----------

|   playbook                        |   return                                          |
|-----------------------------------|---------------------------------------------------|
| [`host_info.yml`](host_info.yml)  |   distribution full name & version                |
| [`whoami.yml`](whoami.yml)        |   `ansible_user` & `become_user` (`sudo` method)  |


🚀 Quickstart
-------------

1. Setup your `inventory` file from [`inventory.sample`](inventory.sample) :
    - `make inventory_generation`
1. Run `host_info` playbook to `<group_foo>` & `<group_bar>` :
    - `ansible-playbook host_info.yml -i inventory -e host_list=<group_foo>:<group_bar>`
